<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b424c265-94d4-4a9d-97a7-d6d540e8c588" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/apps/max_prime.py" beforeDir="false" afterPath="$PROJECT_DIR$/apps/max_prime.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/requirements.txt" beforeDir="false" afterPath="$PROJECT_DIR$/requirements.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/server.py" beforeDir="false" afterPath="$PROJECT_DIR$/server.py" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/apps/request_influencers.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-77">
              <caret line="32" column="16" selection-start-line="32" selection-start-column="16" selection-end-line="32" selection-end-column="16" />
              <folding>
                <element signature="e#0#29#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/apps/sample.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="19" lean-forward="true" selection-start-column="19" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/models/Topic.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-72">
              <caret line="3" column="21" selection-start-line="3" selection-start-column="21" selection-end-line="3" selection-end-column="21" />
              <folding>
                <element signature="e#0#29#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/models/InfluencerTopics.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="729">
              <caret line="37" column="33" lean-forward="true" selection-start-line="37" selection-start-column="10" selection-end-line="37" selection-end-column="33" />
              <folding>
                <element signature="e#0#41#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/apps/max_prime.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="264">
              <caret line="68" lean-forward="true" selection-start-line="68" selection-end-line="68" />
              <folding>
                <element signature="e#0#13#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/server.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="277">
              <caret line="23" column="16" selection-start-line="23" selection-start-column="16" selection-end-line="23" selection-end-column="16" />
              <folding>
                <element signature="e#0#41#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/requirements.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="72">
              <caret line="3" column="7" lean-forward="true" selection-start-line="3" selection-start-column="7" selection-end-line="3" selection-end-column="7" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/test/test_cases.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="345">
              <caret line="58" column="26" lean-forward="true" selection-start-line="58" selection-start-column="26" selection-end-line="58" selection-end-column="26" />
              <folding>
                <element signature="e#0#15#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/utils/database_connector.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="192">
              <caret line="8" column="20" lean-forward="true" selection-start-line="8" selection-start-column="20" selection-end-line="8" selection-end-column="20" />
              <folding>
                <element signature="e#0#37#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/utils/caching.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="153">
              <caret line="12" column="29" selection-start-line="12" selection-start-column="29" selection-end-line="12" selection-end-column="29" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>_get_session_class</find>
      <find>Base</find>
      <find>cache_wrapper1</find>
      <find>cache_wrapper2</find>
      <find>cache_wrapper_level_1</find>
      <find>cache_wrapper_level_2</find>
      <find>random</find>
      <find>isPrime</find>
      <find>miillerTest</find>
      <find>list2num</find>
      <find>num2list</find>
      <find>gender</find>
      <find>num</find>
      <find>num_</find>
      <find>arr</find>
      <find>permu_list</find>
      <find>miiller_test</find>
    </findStrings>
    <replaceStrings>
      <replace>cache_wrapper_level_1</replace>
      <replace>cache_wrapper_level_2</replace>
      <replace>is_prime</replace>
      <replace>miiller_test</replace>
      <replace>list_to_number</replace>
      <replace>number_to_list</replace>
      <replace>number</replace>
      <replace>number_</replace>
      <replace>array</replace>
      <replace>permutation_list</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/setup_linux.sh" />
        <option value="$PROJECT_DIR$/apps.py" />
        <option value="$PROJECT_DIR$/mapper.py" />
        <option value="$PROJECT_DIR$/reducer.py" />
        <option value="$PROJECT_DIR$/sample.txt" />
        <option value="$PROJECT_DIR$/word_counter.py" />
        <option value="$PROJECT_DIR$/models/Banks.py" />
        <option value="$PROJECT_DIR$/models/Campaigns.py" />
        <option value="$PROJECT_DIR$/models/FacebookAccount.py" />
        <option value="$PROJECT_DIR$/models/GoogleAccount.py" />
        <option value="$PROJECT_DIR$/models/Influencer.py" />
        <option value="$PROJECT_DIR$/models/InfluencerBank.py" />
        <option value="$PROJECT_DIR$/models/InfluencerExtraInformation.py" />
        <option value="$PROJECT_DIR$/models/InfluencerSocialNetwork.py" />
        <option value="$PROJECT_DIR$/models/InfluencerStatus.py" />
        <option value="$PROJECT_DIR$/models/InfluencerTopics.py" />
        <option value="$PROJECT_DIR$/models/InstagramAccount.py" />
        <option value="$PROJECT_DIR$/models/InteractTypes.py" />
        <option value="$PROJECT_DIR$/models/Jobs.py" />
        <option value="$PROJECT_DIR$/models/SocialNetwork.py" />
        <option value="$PROJECT_DIR$/models/Topic.py" />
        <option value="$PROJECT_DIR$/models/TwitterAccount.py" />
        <option value="$PROJECT_DIR$/models/ExtraInformation.py" />
        <option value="$PROJECT_DIR$/utils/setup_default_logger.py" />
        <option value="$PROJECT_DIR$/utils/cache.py" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/utils/database_connector.py" />
        <option value="$PROJECT_DIR$/apps/gen_test_data.py" />
        <option value="$PROJECT_DIR$/test/test_cases.py" />
        <option value="$PROJECT_DIR$/apps/word_counter.py" />
        <option value="$PROJECT_DIR$/apps/request_influencers.py" />
        <option value="$PROJECT_DIR$/server.py" />
        <option value="$PROJECT_DIR$/requirements.txt" />
        <option value="$PROJECT_DIR$/apps/max_prime.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="581" />
    <option name="y" value="37" />
    <option name="width" value="1170" />
    <option name="height" value="668" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="hiip" type="b2602c69:ProjectViewProjectNode" />
              <item name="hiip" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hiip" type="b2602c69:ProjectViewProjectNode" />
              <item name="hiip" type="462c0819:PsiDirectoryNode" />
              <item name="apps" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hiip" type="b2602c69:ProjectViewProjectNode" />
              <item name="hiip" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hiip" type="b2602c69:ProjectViewProjectNode" />
              <item name="hiip" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="TF_FMT" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/models" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/apps" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/models" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python tests.Unittests in test_cases.py">
    <configuration name="max_prime" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="hiip" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/apps" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/apps/max_prime.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="word_counter" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="hiip" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/apps" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/apps/word_counter.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution" type="tests" factoryName="Unittests" temporary="true" nameIsGenerated="true">
      <module name="hiip" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/test" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;test_cases.TestMaxPrime.test_time_execution&quot;" />
      <option name="_new_targetType" value="&quot;PYTHON&quot;" />
      <method v="2" />
    </configuration>
    <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution_complex_number" type="tests" factoryName="Unittests" temporary="true" nameIsGenerated="true">
      <module name="hiip" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/test" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;test_cases.TestMaxPrime.test_time_execution_complex_number&quot;" />
      <option name="_new_targetType" value="&quot;PYTHON&quot;" />
      <method v="2" />
    </configuration>
    <configuration name="Unittests in test_cases.py" type="tests" factoryName="Unittests" temporary="true" nameIsGenerated="true">
      <module name="hiip" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/test" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="_new_additionalArguments" value="&quot;&quot;" />
      <option name="_new_target" value="&quot;$PROJECT_DIR$/test/test_cases.py&quot;" />
      <option name="_new_targetType" value="&quot;PATH&quot;" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python tests.Unittests in test_cases.py" />
        <item itemvalue="Python.word_counter" />
        <item itemvalue="Python tests.Unittests for test_cases.TestMaxPrime.test_time_execution_complex_number" />
        <item itemvalue="Python.max_prime" />
        <item itemvalue="Python tests.Unittests for test_cases.TestMaxPrime.test_time_execution" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b424c265-94d4-4a9d-97a7-d6d540e8c588" name="Default Changelist" comment="" />
      <created>1560523209244</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1560523209244</updated>
    </task>
    <task id="LOCAL-00001" summary="add solutions">
      <created>1560658443432</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1560658443432</updated>
    </task>
    <task id="LOCAL-00002" summary="add .gitignore">
      <created>1560659337095</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1560659337095</updated>
    </task>
    <task id="LOCAL-00003" summary="add request hiip">
      <created>1560675595550</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1560675595550</updated>
    </task>
    <task id="LOCAL-00004" summary="update test cases">
      <created>1560677789140</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1560677789140</updated>
    </task>
    <task id="LOCAL-00005" summary="update word counter">
      <created>1560682063011</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1560682063011</updated>
    </task>
    <task id="LOCAL-00006" summary="update request hiip">
      <created>1560689754530</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1560689754530</updated>
    </task>
    <task id="LOCAL-00007" summary="refactor code">
      <created>1560689986293</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1560689986293</updated>
    </task>
    <option name="localTasksCounter" value="8" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Unittests_in_test_cases_py - 2019.06.16 at 14h 06m 39s.xml">
      <configuration name="Unittests in test_cases.py" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_in_test_cases_py - 2019.06.16 at 14h 07m 49s.xml">
      <configuration name="Unittests in test_cases.py" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_invalid_number - 2019.06.16 at 16h 22m 13s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_invalid_number" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_invalid_number - 2019.06.16 at 16h 22m 51s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_invalid_number" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_time_execution - 2019.06.16 at 16h 27m 17s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_time_execution - 2019.06.16 at 16h 27m 58s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_time_execution - 2019.06.16 at 16h 29m 27s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_time_execution_complex_number - 2019.06.16 at 16h 34m 17s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution_complex_number" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_for_test_cases_TestMaxPrime_test_time_execution_complex_number - 2019.06.16 at 16h 34m 30s.xml">
      <configuration name="Unittests for test_cases.TestMaxPrime.test_time_execution_complex_number" configurationId="tests" />
    </history-entry>
    <history-entry file="Unittests_in_test_cases_py - 2019.06.16 at 19h 59m 10s.xml">
      <configuration name="Unittests in test_cases.py" configurationId="tests" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="67" y="27" width="1299" height="741" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Project Explorer" />
      <window_info id="DB Browser" />
      <window_info id="Job Explorer" />
      <window_info id="Favorites" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="DB Execution Console" />
      <window_info anchor="bottom" id="Docker" />
      <window_info anchor="bottom" id="Console" />
      <window_info anchor="bottom" id="Version Control" sideWeight="0.4992163" weight="0.3293718" />
      <window_info anchor="bottom" id="Python Console" sideWeight="0.4992163" weight="0.3293718" />
      <window_info anchor="bottom" id="Terminal" weight="0.69949067" />
      <window_info anchor="bottom" id="Event Log" sideWeight="0.5007837" side_tool="true" weight="0.3293718" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.38709676" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39898133" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="add solutions" />
    <MESSAGE value="add .gitignore" />
    <MESSAGE value="add request hiip" />
    <MESSAGE value="update test cases" />
    <MESSAGE value="update word counter" />
    <MESSAGE value="update request hiip" />
    <MESSAGE value="refactor code" />
    <option name="LAST_COMMIT_MESSAGE" value="refactor code" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/mapper.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="12" column="36" selection-start-line="12" selection-start-column="36" selection-end-line="12" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/reducer.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="24">
          <caret line="1" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/GoogleAccount.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InfluencerBank.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/TwitterAccount.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="168">
          <caret line="7" column="27" lean-forward="true" selection-start-line="7" selection-start-column="27" selection-end-line="7" selection-end-column="27" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/SocialNetwork.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="3" column="21" selection-start-line="3" selection-start-column="21" selection-end-line="3" selection-end-column="21" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InteractTypes.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="3" column="21" selection-start-line="3" selection-start-column="21" selection-end-line="3" selection-end-column="21" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InstagramAccount.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InfluencerStatus.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InfluencerSocialNetwork.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InfluencerExtraInformation.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/models/ExtraInformation.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="20" column="14" selection-start-line="20" selection-start-column="14" selection-end-line="20" selection-end-column="14" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/FacebookAccount.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/Banks.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-375">
          <caret line="3" lean-forward="true" selection-start-line="3" selection-end-line="3" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/Campaigns.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/Jobs.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/core.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="48">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="121" column="12" lean-forward="true" selection-start-line="121" selection-start-column="12" selection-end-line="121" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apps.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="40" column="21" selection-start-line="40" selection-start-column="21" selection-end-line="40" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/setup_linux.sh">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="25" column="36" selection-start-line="25" selection-start-column="36" selection-end-line="25" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/setup_default_logger.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="5" column="36" lean-forward="true" selection-start-line="5" selection-start-column="36" selection-end-line="5" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/Influencer.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="199">
          <caret line="30" column="10" selection-start-line="30" selection-start-column="4" selection-end-line="30" selection-end-column="10" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apps/gen_test_data.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/caching.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="12" column="29" selection-start-line="12" selection-start-column="29" selection-end-line="12" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/database_connector.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="192">
          <caret line="8" column="20" lean-forward="true" selection-start-line="8" selection-start-column="20" selection-end-line="8" selection-end-column="20" />
          <folding>
            <element signature="e#0#37#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/helpers/typeshed/stdlib/2/typing.pyi">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="420" column="8" selection-start-line="420" selection-start-column="8" selection-end-line="420" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apps/word_counter.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="22" column="33" selection-start-line="22" selection-start-column="33" selection-end-line="22" selection-end-column="33" />
          <folding>
            <element signature="e#0#37#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/InfluencerTopics.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="729">
          <caret line="37" column="33" lean-forward="true" selection-start-line="37" selection-start-column="10" selection-end-line="37" selection-end-column="33" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apps/sample.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="19" lean-forward="true" selection-start-column="19" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/test_cases.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="58" column="26" lean-forward="true" selection-start-line="58" selection-start-column="26" selection-end-line="58" selection-end-column="26" />
          <folding>
            <element signature="e#0#15#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/Topic.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-72">
          <caret line="3" column="21" selection-start-line="3" selection-start-column="21" selection-end-line="3" selection-end-column="21" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/server.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="277">
          <caret line="23" column="16" selection-start-line="23" selection-start-column="16" selection-end-line="23" selection-end-column="16" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/requirements.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="3" column="7" lean-forward="true" selection-start-line="3" selection-start-column="7" selection-end-line="3" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apps/request_influencers.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-77">
          <caret line="32" column="16" selection-start-line="32" selection-start-column="16" selection-end-line="32" selection-end-column="16" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apps/max_prime.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="68" lean-forward="true" selection-start-line="68" selection-end-line="68" />
          <folding>
            <element signature="e#0#13#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>